Skip to Content
inclamoDocs

List WhatsApp message templates

GET
/api/v1/accounts/{account_id}/inboxes/{id}/message_templates

List the cached message templates available for a native or Twilio WhatsApp inbox

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

id*number

ID of the native or Twilio WhatsApp inbox

Query Parameters

name?string

Exact template name to filter by

Response Body

Success

application/json
  1. response
payload?array<>

Native or Twilio WhatsApp message templates available for the inbox

meta?
Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0/inboxes/0/message_templates'
Example Response
{  "payload": [    {}  ],  "meta": {    "last_sync_attempt_at": "2019-08-24T14:15:22Z"  }}